// Mixins

@mixin pagination-size($padding-y, $padding-x, $font-size, $line-height, $border-radius) {
    .page-link {
      padding: $padding-y $padding-x;
      @include font-size($font-size);
      line-height: $line-height;
    }
  
    .page-item {
      &:first-child {
        .page-link {
          @include border-left-radius($border-radius);
        }
      }
      &:last-child {
        .page-link {
          @include border-right-radius($border-radius);
        }
      }
    }
  }

  @mixin pagination-variant($color, $border-color: darken($color, 7.5%)) {

    .page-link {
      @include hover {
        border-color: $color;
        color: $color;
      }
    }

    .page-item.active .page-link {
      background-color: $color;
      border-color: $border-color;
      color: $white;
    }

  }